/* Copyright 1993 HockWare Inc. */
Call RxFuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs
say ''
say '  VisPro/REXX (tm) by HockWare (tm) Inc.'
say ''
say '  This command file is used to help you remove VisPro/REXX from'
say '  your system by deregistering the VisPro/REXX class objects.'
say ''
say '  This program does NOT remove any program files or projects'
say '  that you may have created using VisPro/REXX.  This is left'
say '  to the only person who can make that decision, you.  The'
say '  VisPro/REXX samples are not removed, since you may have'
say '  changed them.'
say ''
say "  You don't need to use this command file if you want to"
say '  install over a previous version of VisPro/REXX.  To'
say '  reinstall, you can use the SETUP program.'
say ''
say '  Note: before continuing, make certain that all VisPro/REXX'
say '  windows are closed.  Otherwise, the removal will not work.'
say ''
say '  Are you sure you want to remove VisPro/REXX(Y/N)?'
PARSE UPPER VALUE LINEIN() with RESPONSE
IF RESPONSE<>'Y' THEN EXIT
say ''

/* Check if VPForm class is active */
found='FALSE'
call SysQueryClassList "list."
do i = list.0 to 1 by -1
   parse upper var list.i class .
   if class='VPFORM' then do
      found='TRUE'
      leave
   end
end

/* If VPForm active, deregister */
if (found='TRUE') THEN DO
   say '  Deregistering VisPro/REXX class...'
   ret = SysDeregisterObjectClass( "VPForm");
   if ret = 0 THEN do
      say '  The VisPro/REXX class could not be deregistered.'
      say '  Close all VisPro/REXX windows and retry this command.'
      exit
      end
   else
      say '  VisPro/REXX class deregistered successfully.'
end

res = SysIni('SYSTEM', 'VISPROREXX', 'VERSION', 'DELETE:')

rc = SysFileDelete(OSDIR'\DLL\VPFORM.DLL')
if (rc > 4) then do

   say '  The 'OSDIR'\DLL\VPFORM.DLL file could not be erased.'
   say ''
   say '  Perform an OS/2 Shutdown to release this DLL.'
   say '  After rebooting, you can erase this DLL '
   say '  by reinvoking this command file.'
end
else do
   say '  VisPro/REXX objects were successfully deregistered.  '
end
EXIT

